TaliwareTaliware Developer

CL2C Swagger reference

Choose an endpoint, enter its required values, and inspect or send a real API request.

OpenAPI 3.0.3 · Swagger format

View or download the OpenAPI specification

21 endpoints
Complete endpoint URL
deletehttps://developer.taliware.com/api/v1/cl2c/contract

Delete a smart contract

Delete a contract if it is not deployed and has no associated NFTs.

DELETE
/cl2c/contract
x-api-key<token>

In: header

contractIdstring

Response Body

curl -X DELETE "https://developer.taliware.com/api/v1/cl2c/contract" \  -H "Content-Type: application/json" \  -d '{    "contractId": "string"  }'
{
  "message": "string",
  "deletedContract": {
    "id": "string",
    "name": "string"
  }
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer